Subject: Re: [PATCH] net-ipv4-tcp.c-fix-warning-from-older-compilers.patch

From: William Allen Simpson <[email-masked]>
Date: Fri, 11 Dec 2009 10:30:24 -0500

Ben Hutchings wrote:
> You can use BUILD_BUG_ON() to ensure that remains true.
> 
Another fine undocumented Linux Kernel feature.  In the absence of
standardized functions that check for buffer overruns, that's just
the ticket!

Kinda the opposite conditional of static assert, but I'm pretty sure
static assert wasn't working in gcc until a year or so ago.  That's
why I used the more old-fashioned test instead.  I'd no idea those
triggered a warning in some versions of gcc -- I never trusted 4.0.x,
and had plenty of problems with 4.1.x, too.

Thanks, I'll resubmit.